Bug 740394 - bitlbee problems with unconfined off
Summary: bitlbee problems with unconfined off
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bitlbee
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-21 21:25 UTC by Robin Powell
Modified: 2012-01-15 17:32 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-15 17:32:29 UTC


Attachments (Terms of Use)

Description Robin Powell 2011-09-21 21:25:53 UTC
The usual.  :)

It can't bind its default port of 6667

#============= bitlbee_t ==============
allow bitlbee_t ircd_port_t:tcp_socket name_bind;
allow bitlbee_t self:capability dac_override;

-Robin

Comment 1 Miroslav Grepl 2011-09-22 08:57:12 UTC
I thought there was some fixes in bitlbee related to these issues.

Which version of bitlbee do you use?

Comment 2 Robin Powell 2011-10-08 00:45:38 UTC
BitlBee 3.0.3
API version 030003

Comment 3 Garrett Holmstrom 2011-10-28 00:19:17 UTC
Another "me too" with bitlbee-3.0.3-5.fc15.x86_64:

time->Thu Oct 27 17:14:32 2011
type=SYSCALL msg=audit(1319760872.372:461448): arch=c000003e syscall=21 success=no exit=-13 a0=8c1d90 a1=2 a2=3 a3=7fff2ed13270 items=0 ppid=1 pid=18610 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="bitlbee" exe="/usr/sbin/bitlbee" subj=system_u:system_r:bitlbee_t:s0 key=(null)
type=AVC msg=audit(1319760872.372:461448): avc:  denied  { dac_override } for  pid=18610 comm="bitlbee" capability=1  scontext=system_u:system_r:bitlbee_t:s0 tcontext=system_u:system_r:bitlbee_t:s0 tclass=capability
----
time->Thu Oct 27 17:14:32 2011
type=SYSCALL msg=audit(1319760872.373:461449): arch=c000003e syscall=49 success=no exit=-13 a0=4 a1=8dc780 a2=10 a3=7fff2ed13240 items=0 ppid=1 pid=18610 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="bitlbee" exe="/usr/sbin/bitlbee" subj=system_u:system_r:bitlbee_t:s0 key=(null)
type=AVC msg=audit(1319760872.373:461449): avc:  denied  { name_bind } for  pid=18610 comm="bitlbee" src=6667 scontext=system_u:system_r:bitlbee_t:s0 tcontext=system_u:object_r:ircd_port_t:s0 tclass=tcp_socket

Comment 4 Daniel Walsh 2011-10-28 13:38:21 UTC
THese are allowed in the F16 policy.

Comment 5 Miroslav Grepl 2011-10-31 10:07:33 UTC
Fixed in selinux-policy-3.9.16-46.fc15

Comment 6 Adam Williamson 2012-01-15 17:32:29 UTC
selinux-policy-3.9.16-48.fc15 has gone stable, so this ought to be fixed. I'm going to close it out. If you're still hitting this with current selinux-policy, please re-open (if you have the power) or comment. (Garrett, you're current sitting six feet in front of me, so you may communicate this easily :>)



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.